#!/bin/sh
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
# 
# The Original Code is the Bugzilla Bug Tracking System.
# 
# The Initial Developer of the Original Code is Netscape Communications
# Corporation. Portions created by Netscape are Copyright (C) 1998
# Netscape Communications Corporation. All Rights Reserved.
# 
# Contributor(s): Terry Weissman <terry@mozilla.org>

mysql > /dev/null 2>/dev/null << OK_ALL_DONE

use bugs;
drop table components
OK_ALL_DONE

mysql << OK_ALL_DONE
use bugs;
create table components (
	value tinytext not null,
	program tinytext not null,
	initialowner tinytext not null
);

insert into components (value, program, initialowner) values ('AfterStep', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('AnotherLevel', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ElectricFence', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ImageMagick', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('MAKEDEV', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('SVGATextMode', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('SysVinit', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('WindowMaker', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('X11R6', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('XFree86', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('Xaw3d', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('Xconfigurator', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('aboot', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('acm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('adjtimex', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('am', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('anonftp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('aout', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('apache', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('apmd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ash', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('at', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('aumix', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('autoconf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('autofs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('automake', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('awesfx', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('basesystem', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bash', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bdflush', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('biff', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bin86', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bind', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('binutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bison', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('blt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bootp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bootparamd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bootpc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bsd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('byacc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('bzip2', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('caching', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cdecl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cdp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('chkconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('christminster', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cleanfeed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('clock', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('colour', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('comanche', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('control', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cpio', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cproto', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cracklib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('crontabs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ctags', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cvs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cxhextris', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dev', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dhcp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dhcpcd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dialog', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('diffstat', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dosemu', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dump', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('e2fsprogs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ee', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('efax', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('egcs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('eject', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('elftoaout', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('elm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('emacs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('etcskel', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('exmh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ext2ed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('faces', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('faq', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fetchmail', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('file', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('filesystem', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fileutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('findutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('finger', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('flex', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('flying', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fort77', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fortune', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ftp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fvwm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fvwm2', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('fwhois', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gated', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gawk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gcc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gdb', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gdbm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gettext', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('getty_ps', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ghostscript', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('giflib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gimp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('git', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('glibc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('glint', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gmp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gnome', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gnuchess', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gnuplot', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gperf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gpm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('grep', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('groff', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gsl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gtk+', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('guavac', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('guile', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gv', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gzip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('hdparm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('helptool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('howto', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ical', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('imap', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('imlib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('indent', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('indexhtml', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('initscripts', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('inn', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('install', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('intimed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ircii', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('isapnptools', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ispell', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('jed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('joe', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('kaffe', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('kbd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('kbdconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('kernel', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('kernelcfg', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ld.so', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ldconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('less', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lha', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libelf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libg++', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libgr', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libjpeg', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libpng', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libtermcap', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libtool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('linuxconf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('logrotate', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lout', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lpg', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lpr', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lrzsz', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lslk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lsof', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ltrace', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lynx', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('m4', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('macutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mailcap', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mailx', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('make', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('man', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('man-pages', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('maplay', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mars', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mawk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('metamail', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mgetty', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mikmod', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mingetty', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('minicom', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('minlabel', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkbootdisk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkdosfs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkinitrd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkisofs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkkickstart', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mktemp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mkxauth', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_perl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_php', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_php3', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('modemtool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('modutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('moonclock', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mount', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mouseconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mpage', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mtools', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('multimedia', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mutt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mxp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mysterious', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ncftp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ncompress', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ncpfs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ncurses', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ncurses3', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nenscript', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('net', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netcfg', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netkit', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netscape', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('newt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nfs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nls', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nmh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ntalk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('open', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('p2c', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('paradise', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('patch', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pdksh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pidentd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pine', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pinfocom', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('playmidi', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pmake', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('popt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('portmap', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('postgresql', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ppp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('printtool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('procinfo', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('procmail', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('procps', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('psacct', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('psmisc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pwdb', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('python', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pythonlib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('quickstrip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('quota', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('raidtools', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rcs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rdate', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rdist', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('readline', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('redhat', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rhbackup', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rhl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rhmask', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rhs', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rhsound', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rootfiles', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('routed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rpm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rsh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rsync', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rusers', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rwall', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rxvt', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sag', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('samba', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sash', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('scottfree', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('screen', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sendmail', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('setconsole', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('setserial', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('setuptool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('seyon', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sgml', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('shadow', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('shapecfg', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sharutils', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('silo', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('slang', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sliplogin', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('slrn', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sndconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sox', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('spice', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('spider', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('squid', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('stat', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('statserial', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('strace', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('svgalib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('swatch', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('symlinks', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sysklogd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('taper', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tar', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tcltk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tcp_wrappers', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tcpdump', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tcsh', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('telnet', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('termcap', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('termfiles_sparc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tetex', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('texinfo', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tftp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('time', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('timeconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('timed', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('timetool', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tin', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tmpwatch', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('traceroute', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tracker', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('transfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tree', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('trn', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('trojka', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tunelp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ucd', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('umb', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('unarj', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('units', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('unzip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('urw', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('usermode', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('usernet', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('util', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('uucp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('vga_cardgames', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('vga_gamespack', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('vim', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('vlock', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wget', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wmakerconf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wmconfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('words', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wu', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('x3270', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xanim', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xbanner', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xbill', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xbl', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xboard', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xboing', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xchomp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xcpustate', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xdaliclock', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xdemineur', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xearth', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xevil', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xfig', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xfishtank', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xfm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xgalaga', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xgammon', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xgopher', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xinitrc', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xjewel', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xlander', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xlispstat', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xloadimage', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xlockmore', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmailbox', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmorph', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xntp3', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xosview', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpaint', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpat2', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpdf', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpilot', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xpuzzles', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xrn', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xscreensaver', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xsnow', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xsysinfo', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xterm', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xtoolwait', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xtrojka', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xv', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xwpe', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xwpick', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xxgdb', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xzip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('yp', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ypbind', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ypserv', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ytalk', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('zgv', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('zip', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('zlib', 'Red Hat Linux', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('zsh', 'Red Hat Linux', 'dkl@redhat.com');

insert into components (value, program, initialowner) values ('bugzilla', 'bugzilla', 'andrew@redhat.com');

insert into components (value, program, initialowner) values ('rhcn', 'Red Hat Contrib|Net', 'adevries@redhat.com');

insert into components (value, program, initialowner) values ('analog', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('secureweb', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gd', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gdbm', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('glibc', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('htdig', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('info', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_perl', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_php', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mod_php3', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netscape', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('squid', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('texinfo', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rpm', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl-Apache-ASP', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl-Data-Dumper', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl-MD5', 'Red Hat Secure Web Server', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('perl-MLDBM', 'Red Hat Secure Web Server', 'dkl@redhat.com');

insert into components (value, program, initialowner) values ('xspringies', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xsession', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xquote', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmountains', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmmix', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmcd', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xmbase-grok', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xinvest', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xfpovray', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xforms', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xfinans', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xephem', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xemacs', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xcoral', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xcdroast', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xbmbrowser', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('xattax', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wmtime', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wmnet', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wmmon', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wine', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('wget', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('webxref', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('weblint', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('vt', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ver', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('twin', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('trafshow', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tkrat', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tkirc', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tkgoodstuff', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('tgif', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('swish', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sudo', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('siag', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('scotty', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sceda', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sane', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('safedelete', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('sabre', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('rsync', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pvm', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('povray', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('plan', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pilot-link', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('pcb', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netwonlink', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('netwatch', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('nedit', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mrtg', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mpr', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mirror', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mikmod', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('mgp', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lyx', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lincity', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('libpcap', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lclint', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('karpski', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('icewm', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('hexcalc', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('gd', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dotfile', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dlh', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('dfm', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('ddd', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('clobberd', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('cbb', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('beav', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('amanda', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('acidwarp', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('Xbae', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('WindowMaker', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('WMRack', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('TkZip', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('SoundStudio', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-devel', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Trash', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Printer', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Files', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Execute', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Editor', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('OffiX-Clipboard', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('Mesa', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('FileRunner', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('BitchX', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('lesstif', 'Red Hat Powertools', 'dkl@redhat.com');
insert into components (value, program, initialowner) values ('9wm', 'Red Hat Powertools', 'dkl@redhat.com');

show columns from components;
show index from components;

OK_ALL_DONE
